0

I cannot install things from terminal. I can do ./configure but when I do make I get no on some points but I have a makefile in the program directory. Make install want work after that. I tested with two programs so far. My last test was to install gdb-7.8.

What to do?

(OT:how can I install gdb in another way, I need it badly since my gdb 7.7 f*cked up. Any gdb would be fine)

Last rows from terminal when doing make:

checking for library containing gethostbyname... none required
checking for library containing socketpair... none required
checking for library containing zlibVersion... no
checking for library containing dlgetmodinfo... no
checking for iconv... yes
checking for iconv declaration... install-shextern size_t iconv (iconv_t cd, char * *inbuf, size_t *inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for library containing waddstr... no
configure: WARNING: no enhanced curses library found; disabling TUI
checking for library containing tgetent... no
configure: error: no termcap library found
  • Re-install 7.7 from synaptic package manager or software center – Sudheer Nov 3 '14 at 2:41
  • Why are yon installing from source and you will need to post the exact commands you run and error messages. Most errors are missing dependencies. – Panther Nov 3 '14 at 3:09
  • What do you mean by gdb 7.7 messed up? Can't a reinstall of gdb fix it? – SiddharthaRT Nov 3 '14 at 14:43
0

If you copy/paste the error message we may have a chance to help you.

OT: You could try http://packages.ubuntu.com or http://packages.debian.org , find another package for gdb and install it from the command line using dpkg -i [package.file.name.deb]. Try to get something more recent, an older gdb package would depend on an older version of glibc and you will end up in a dependency hell.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.